Add Payment
curl --request POST \
--url https://api-staging.genuka.com/2023-11/admin/orders/{id}/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
"{\n \"amount\": 160,\n \"method\": \"bank\", // Comming from treasory account\n \"treasury_account_id\": \"01k1amyq08htzkeg79xd7f9pct\" // Comming from treasory account\n}"
'import requests
url = "https://api-staging.genuka.com/2023-11/admin/orders/{id}/payments"
payload = "{
\"amount\": 160,
\"method\": \"bank\", // Comming from treasory account
\"treasury_account_id\": \"01k1amyq08htzkeg79xd7f9pct\" // Comming from treasory account
}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify('{\n "amount": 160,\n "method": "bank", // Comming from treasory account\n "treasury_account_id": "01k1amyq08htzkeg79xd7f9pct" // Comming from treasory account\n}')
};
fetch('https://api-staging.genuka.com/2023-11/admin/orders/{id}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "Payment added successfully",
"status": "success"
}{
"code": 500,
"data": null,
"message": "Failed to add payment: Failed to create a payment with the given payload. Error: The amount to pay is less than or equal to 0",
"status": "error"
}Orders
Add order payment
Add a new payment record to a specific order. This endpoint allows you to register manual or external payments, update the order’s payment status, and ensure accurate tracking of completed or pending transactions.
POST
/
2023-11
/
admin
/
orders
/
{id}
/
payments
Add Payment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Path Parameters
⌘I
